slider: Allow range limitations

Desktop / Enlightenment / EFL Core Libraries - Hosang Kim [samsung.com] - 11 July 2017 03:34 UTC

Summary: When user drags slider, slider value cannot be changed by API. However the necessity of above behavior has emerged. Because sometimes applications want limitation of slider value.

Test Plan: elementary_test -> slider -> Limited

Reviewers: woohyun, cedric, SanghyeonLee, singh.amitesh, jpeg

Reviewed By: jpeg

Subscribers: cedric, jpeg

Differential Revision: https://phab.enlightenment.org/D4883

f41e276 slider: Allow range limitations
src/bin/elementary/test_slider.c | 93 +++++++++++++++++++++++++++++++++++++++-
src/lib/edje/edje_calc.c | 9 ++++
src/lib/edje/edje_util.c | 3 --
3 files changed, 100 insertions(+), 5 deletions(-)

Upstream: git.enlightenment.org


  • Share